%define gname	etracer

Name:		extremetuxracer
Version:	0.5
Release:	%mkrel 0.beta.13
Summary:	OpenGL racing game featuring Tux
License:	GPLv2
Group:		Games/Arcade
URL:		http://www.extremetuxracer.com/
Source0:	http://downloads.sourceforge.net/extremetuxracer/%{name}-%{version}beta.tar.gz
Patch0:		extremetuxracer-0.5-defaultopt.patch
Patch1:		extremetuxracer-0.5-link.patch
Patch2:		extremetuxracer-0.5-install.patch
Patch3:		extreme-tuxracer-0.5_beta-libpng14.patch
Requires:	squirrel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL-devel
BuildRequires:	mesaglu-devel
BuildRequires:	texinfo
BuildRequires:	libpng-devel
BuildRequires:	freetype2-devel
BuildRequires:	libxslt-devel
BuildRequires:	libxml2 >= 2.4.11
BuildRequires:	squirrel
BuildRequires:	tcl-devel
BuildRequires:	libsquirrel-devel

Provides:       tuxracer = %{version}-%{release}
Provides:       ppracer = %{version}-%{release}

%description
Extreme Tux Racer is an OpenGL racing game featuring Tux, the Linux
mascot. The goal of the game is to slide down a snow- and ice-covered
mountain as quickly as possible.  It is based on the GPL version of
TuxRacer.


%prep
%setup -q -n extreme-tuxracer-%{version}beta
%patch0 -p1 -b .defaultopt
%patch1 -p0 -b .link
%patch2 -p0 -b .install
%patch3 -p0 -b .libpng
unzip %{gname}icons.zip

%build
autoreconf -fi
CFLAGS="%{optflags} -O3 -ffast-math" \
CXXFLAGS="%{optflags} -O3 -ffast-math" \
%configure2_5x	--bindir=%{_gamesbindir} \
		--with-data-dir=%{_gamesdatadir}/%{name}\
		--datadir=%{_gamesdatadir} \
		--with-tcl=%{_libdir} \
		--disable-debug
%make

%install
rm -rf %{gname}.lang
%{makeinstall_std}

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Extreme Tux Racer
Comment=%{summary}
Exec=%{_gamesbindir}/%{gname}
Icon=%{gname}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

for r in 16 22 32 48; do
    install -D %{gname}icons/%{gname}icon_${r}.png %{buildroot}%{_datadir}/icons/hicolor/${r}x${r}/apps/%{gname}.png
done
install -D %{gname}icon.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{gname}.svg

%find_lang %{gname}

cat > README.urpmi << EOF

---------------------------Description-------------------------------------

Extreme Tux Racer is an OpenGL racing game featuring Tux, 
the Linux mascot. The goal of the game is to slide down 
a snow- and ice-covered mountain as quickly as possible. 
It is based on the GPL version of TuxRacer.

-----------------------------Warning--------------------------------------- 

It might occurs that etracer won t start, 
in that case you need to edit ~/.ppracer/options 
and adjust values to your hardware configuration.

---------------------------DescriptionFR-----------------------------------
Extreme Tux Racer est un jeu OpenGL avec en heros Tux la 
mascotte Linux. Le but de ce jeu est de faire descendre Tux 
le plus rapidement possible de pistes pentues et recouvertes de neige et
de glace.
Ce jeu est base sur la version GPL de TuxRacer.

-----------------------------Attention-------------------------------------

Il est possible que etracer ne demarre pas.
Dans ce cas il vous faudra editer le fichier ~/.ppracer/options
et changer les valeurs pour qu elles soient correctes avec votre
configuration materielle.

---------------------------------------------------------------------------
EOF

%files -f %{gname}.lang
%doc AUTHORS ChangeLog README.urpmi
%{_gamesdatadir}/*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{gname}.svg
%{_datadir}/icons/hicolor/*/apps/%{gname}.png
%{_gamesbindir}/%{gname}


%changelog

* Mon Feb 27 2012 kamil <kamil> 0.5-0.beta.13.mga2
+ Revision: 215597
- rebuild against new squirrel 2.2.5
- clean .spec a bit

* Mon Sep 19 2011 fwang <fwang> 0.5-0.beta.12.mga2
+ Revision: 145326
- fix build with latest libpng
- rebuild for new libpng

  + stormi <stormi>
    - fix Comment in desktop file

* Wed Jul 06 2011 fwang <fwang> 0.5-0.beta.10.mga2
+ Revision: 119234
- use autoreconf
- fix build
- rebuild for new tcl

  + zezinho <zezinho>
    - bump release
    - typo

* Mon Jun 20 2011 dams <dams> 0.5-0.beta.8.mga2
+ Revision: 110374
- add provides back on 'tuxracer' and 'ppracer'

* Mon Jun 20 2011 zezinho <zezinho> 0.5-0.beta.7.mga2
+ Revision: 110308
- remove changelog introduced by error
- release number too high
  provides and obsoletes useless for current upgrade paths
- specfile cleanup

* Thu Jun 09 2011 dams <dams> 0.5-0.beta.5.mga2
+ Revision: 102543
- remove 'esound' BR as 'esound' is no longer supported

  + steletch <steletch>
    - Clean spec file
    - imported package extremetuxracer

